Bug 995872 - Packstack will always fail when run on Rawhide
Packstack will always fail when run on Rawhide
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: openstack-packstack (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Magr
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-11 13:01 EDT by Sandro Mathys
Modified: 2015-06-29 21:32 EDT (History)
7 users (show)

See Also:
Fixed In Version: openstack-packstack-2013.2.1-0.3.dev722.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 21:32:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 41613 None None None Never
OpenStack gerrit 41614 None None None Never

  None (edit)
Description Sandro Mathys 2013-08-11 13:01:39 EDT
Description of problem:
Packstack's Puppet modules contain checks where operatingsystemrelease is compared to Integers, like >= 19. On Fedora Rawhide, that fact is indeed set to "Rawhide" instead, causing Puppet to fail ugly.

Version-Release number of selected component (if applicable):
Packstack in Rawhide, Packstack in RDO, Packstack on Github ;)

How reproducible:
Always.

Steps to Reproduce:
1. Run Packstack --allinone on Fedora Rawhide
2. Notice it will fail with an Puppet error
3.

Actual results:
SequenceError: Error during puppet run : Error: comparison of String with 19 failed at /var/tmp/packstack/c5513afd4f1d410489e6155e878b1a56/modules/mysql/manifests/params.pp:32 on node openstack.localdomain

Expected results:
No errors, no failing ;)

Additional info:
Working on fixes in the upstream Puppet modules, already but someone will have to include them in the the Packstack packages.
Comment 1 Sandro Mathys 2013-08-11 13:42:22 EDT
So three basically equal changes were necessary. Here's the pull requests for reference.

Upstream at puppetlabs:
https://github.com/puppetlabs/puppetlabs-mysql/pull/241

Will also send a pull request to packstack once it's been accepted upstream.

Upstream at packstack:
https://github.com/packstack/puppetlabs-apache/pull/1
https://github.com/packstack/puppetlabs-xinetd/pull/1

Could not send to puppetlabs because the bugs (which were introduces with features/bugfixes) don't exist there, i.e. the forks have diverted from packstack's upstream without sending changes back.
Comment 2 Fedora End Of Life 2013-09-16 13:05:48 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 3 Fedora Admin XMLRPC Client 2013-10-14 05:50:40 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2013-10-14 05:51:08 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora End Of Life 2015-05-29 05:18:53 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-06-29 21:32:21 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.